[Python-modules-team] Bug#715399: Please add dep8 smoke test
Robie Basak
robie.basak at ubuntu.com
Mon Jul 8 19:23:57 UTC 2013
Package: libapache2-mod-python
Version: 3.3.1-11
User: ubuntu-devel at lists.ubuntu.com
Usertags: origin-ubuntu saucy ubuntu-patch
Hi,
Please consider adding the following basic dep8 test so that we can
automatically test that the package is hooking up to apache2 correctly.
Thanks!
diff -Nru libapache2-mod-python-3.3.1/debian/control libapache2-mod-python-3.3.1/debian/control
--- libapache2-mod-python-3.3.1/debian/control 2013-05-26 21:09:52.000000000 +0000
+++ libapache2-mod-python-3.3.1/debian/control 2013-07-08 19:18:35.000000000 +0000
@@ -10,6 +10,7 @@
Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/libapache2-mod-python/trunk/
Homepage: http://www.modpython.org/
Standards-Version: 3.9.4
+XS-Testsuite: autopkgtest
Package: libapache2-mod-python
Architecture: any
diff -Nru libapache2-mod-python-3.3.1/debian/tests/control libapache2-mod-python-3.3.1/debian/tests/control
--- libapache2-mod-python-3.3.1/debian/tests/control 1970-01-01 00:00:00.000000000 +0000
+++ libapache2-mod-python-3.3.1/debian/tests/control 2013-07-08 18:56:04.000000000 +0000
@@ -0,0 +1,3 @@
+Tests: smoke
+Restrictions: needs-root
+Depends: libapache2-mod-python, wget, apache2
diff -Nru libapache2-mod-python-3.3.1/debian/tests/smoke libapache2-mod-python-3.3.1/debian/tests/smoke
--- libapache2-mod-python-3.3.1/debian/tests/smoke 1970-01-01 00:00:00.000000000 +0000
+++ libapache2-mod-python-3.3.1/debian/tests/smoke 2013-07-08 13:42:39.000000000 +0000
@@ -0,0 +1,23 @@
+#!/bin/sh
+set -e
+
+cat >> /etc/apache2/apache2.conf <<EOT
+<Directory /var/www/python/>
+ SetHandler mod_python
+ PythonHandler mod_python.publisher
+</Directory>
+EOT
+
+mkdir /var/www/python
+cat > /var/www/python/hello.py <<EOT
+#!/usr/bin/python
+
+def index():
+ return "Hello, world!\n"
+EOT
+
+a2enmod python
+service apache2 reload
+
+output=`wget -O- http://localhost/python/hello.py 2>/dev/null`
+test "$output" = "Hello, world!"
More information about the Python-modules-team
mailing list